package it.eng.spago.workflow.test;

import it.eng.spago.workflow.api.IWorkflowConnection;
import it.eng.spago.workflow.api.IWorkflowEngine;
import it.eng.spago.workflow.api.IWorkflowPackage;
import it.eng.spago.workflow.api.IWorkflowProcess;
import it.eng.spago.workflow.shark.impl.SharkWorkflowEngineFactoryImpl;
import it.eng.spago.workflow.shark.impl.SharkWorkflowPackageImpl;

import java.util.Iterator;
import java.util.List;

public class GiveProcessInstance {
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {

	try{
		IWorkflowEngine engine = new SharkWorkflowEngineFactoryImpl().getWorkflowEngine();
    
    
		IWorkflowConnection conn = engine.getWorkflowConnection();
		conn.open("andrea", "andrea");
    
    	IWorkflowPackage wfPackage = new SharkWorkflowPackageImpl("SanitaBO",null,null);
    
    	List processForPackage = conn.getProcessForPackage(wfPackage);
    	Iterator it = processForPackage.iterator();
    
    	IWorkflowProcess process = null;
    	while (it.hasNext()){
    		process = (IWorkflowProcess)it.next();
    		System.out.println(process.getId() +"-->"+ process.getState());
    		if (process.isClosed()){
    			System.out.println(" Process is completed ");
    			conn.deleteProcess(process);
    		}
    	}
    
    	conn.close();
	}catch (Exception e) {
			e.printStackTrace();
	}
	}
}
