package it.eng.spago.workflow.test;

import it.eng.spago.workflow.api.IWorkflowConnection;
import it.eng.spago.workflow.api.IWorkflowEngine;
import it.eng.spago.workflow.api.IWorkflowEngineFactory;
import it.eng.spago.workflow.shark.impl.SharkWorkflowEngineFactoryImpl;

public class TestConnection {
	
	/**
	 * Two users with the same role
	 * if user A takes activity users two must not see it
	 */
	public static void main(String[] args) {
		try{
			IWorkflowEngineFactory wfEngineFactory = new SharkWorkflowEngineFactoryImpl();
			IWorkflowEngine wfEngine = wfEngineFactory.getWorkflowEngine();
			
			
			IWorkflowConnection wfConnection = wfEngine.getWorkflowConnection();
			wfConnection.open("admin","enhydra");
			
			
			
			
		}catch (Exception e) {
			e.printStackTrace();
		}
	}
}
