package it.eng.spago.workflow.api;

import java.io.PrintStream;

/**
 * @author zoppello
 *
 * This class wrap native workflow engine specific engine Exception
 * to a common class for SpagoWorkflowAPI.
 */
public class WorkflowEngineException extends Exception{

	private Exception cause = null;
	
	public WorkflowEngineException(Exception cause){
		this.cause = null;
	}

	/**
     * Prints this throwable and its backtrace to the specified print stream.
     *
     * @param s <code>PrintStream</code> to use for output
     */
    public void printStackTrace(PrintStream s) {
        
        super.printStackTrace(s);
        if (cause != null){
        	cause.printStackTrace(s);
        }
        
    }
	
}
