package it.eng.spago.workflow.test;

import it.eng.spago.workflow.api.IWorkflowConnection;
import it.eng.spago.workflow.api.IWorkflowEngine;
import it.eng.spago.workflow.api.IWorkflowEngineFactory;
import it.eng.spago.workflow.shark.impl.SharkWorkflowEngineFactoryImpl;

import org.enhydra.shark.Shark;
import org.enhydra.shark.api.client.wfmodel.WfProcess;
import org.enhydra.shark.api.client.wfmodel.WfProcessMgr;
import org.enhydra.shark.api.client.wfservice.ExecutionAdministration;
import org.enhydra.shark.api.client.wfservice.UserGroupAdministration;

public class TestComplete {
	
	public static void main(String[] args) {
		try{
			IWorkflowEngineFactory wfEngineFactory = new SharkWorkflowEngineFactoryImpl();
			IWorkflowEngine wfEngine = wfEngineFactory.getWorkflowEngine();
			
			IWorkflowConnection wfConnection = wfEngine.getWorkflowConnection();
			wfConnection.open("andrea", "andrea");
			
			wfEngine.loadPackageDefinition("SanitaBO.xpdl");
			
			
			UserGroupAdministration ugAdmin = Shark.getInstance().getAdminInterface().getUserGroupAdministration();
			ExecutionAdministration execAdmin = Shark.getInstance().getAdminInterface().getExecutionAdministration();
			
			execAdmin.connect("admin", "enhydra", "", "");
			
			WfProcessMgr processManager = execAdmin.getProcessMgr("SanitaBO", "Simulazione");
			
			
			WfProcess[] activeProcess = processManager.get_iterator_process().get_next_n_sequence(0);
			
			
			for (int i=0; i < activeProcess.length; i++){
				System.out.println(" Active Process [" +activeProcess[i].key()+ "]");
			}
			
			execAdmin.disconnect();
			
//			
//			Codice per creare un Participant Mapping
//			-----------------------------------------
//
//          ParticipantMappingAdministration pma = Shark.getInstance().getAdminInterface().getParticipantMappingAdministration();
//			
//			ParticipantMap participiant = pma.createParticipantMap();
//			
//			participiant.setPackageId("SanitaBO");
//			participiant.setProcessDefinitionId("Simulazione");
//			participiant.setUsername("andrea");
//			participiant.setIsGroupUser(false);
//			participiant.setParticipantId("Ruolo Simulatore");
			//pma.addParticipantMapping(participiant);
			
			//IWorkflowProcess process = wfConnection.createProcess("SanitaBO", "Simulazione");
			
			//process.start();
			
			
			
			
			//List ass= wfConnection.getAssignments();
			//IWorkflowAssignment anAss = null;
			//for (Iterator it = ass.iterator(); it.hasNext(); ){
				//anAss = (IWorkflowAssignment)it.next();
				//anAss.accept();
				//anAss.complete();
			//}
			
			
			
		}catch (Exception e) {
			e.printStackTrace();
		}
	}
}
