package it.eng.spago.workflow.test;

import it.eng.spago.workflow.api.IWorkflowEngine;
import it.eng.spago.workflow.api.IWorkflowEngineFactory;
import it.eng.spago.workflow.shark.impl.SharkWorkflowEngineFactoryImpl;

import org.enhydra.shark.Shark;
import org.enhydra.shark.api.client.wfservice.UserGroupAdministration;

public class TestExternalUserGroupManager {
	
	public static void main(String[] args) {
		IWorkflowEngineFactory wfEngineFactory = new SharkWorkflowEngineFactoryImpl();
		IWorkflowEngine wfEngine = wfEngineFactory.getWorkflowEngine();
		
		UserGroupAdministration ugAdmin = Shark.getInstance().getAdminInterface().getUserGroupAdministration();
		try{
			String users[] = ugAdmin.getAllUsers();
		}catch(Exception e){
			e.printStackTrace();
		}
	}
}
