package it.eng.spago.workflow.test;

import it.eng.spago.workflow.api.IWorkflowConnection;
import it.eng.spago.workflow.api.IWorkflowEngine;
import it.eng.spago.workflow.api.IWorkflowEngineFactory;
import it.eng.spago.workflow.api.IWorkflowProcess;
import it.eng.spago.workflow.shark.impl.SharkWorkflowEngineFactoryImpl;

import java.util.List;

public class TestWorkflowAPI {
	
	public static void main(String[] args) {
		try{
			IWorkflowEngineFactory wfEngineFactory = new SharkWorkflowEngineFactoryImpl();
			IWorkflowEngine wfEngine = wfEngineFactory.getWorkflowEngine();
			
			wfEngine.loadPackageDefinition("WellnessDemo2.xpdl");
			
			IWorkflowConnection wfConnection = wfEngine.getWorkflowConnection();
			
			wfConnection.open("nurse","nurse");
			IWorkflowProcess aWfProcess = wfConnection.createProcess("WellnessDemo2","WellnessEvaluationProcess2");
			aWfProcess.start();
			//wfEngine.loadWorkflowsPackage("Business_Example.xpdl");
			//wfEngine.unloadWorkflowsPackage("Business_Example.xpdl");
			
			List l = wfConnection.getAssignments();
			
			
			
			IWorkflowConnection wfConnection2 = wfEngine.getWorkflowConnection();
			
			wfConnection2.open("nurse","nurse");
			
			
			
			List ass = wfConnection2.getAssignments();
			
			
			for (int i = 0; i < ass.size(); i++){
				System.out.println(ass.get(i));
			}
			
		}catch (Exception e) {
			e.printStackTrace();
		}
	}
}
