package it.eng.spago.mappers;

import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

import it.eng.spago.base.SourceBean;
import it.eng.spago.base.SourceBeanAttribute;
import it.eng.spago.workflow.api.IMapper;

public class SourceBeanToProcessContextMapper implements IMapper{

	public Map getContext(Object source) {
		
		SourceBean aSource = (SourceBean)source;
		
		System.out.println("Request");
		
		System.out.println(aSource.toXML(false));
		
		List parameterList = aSource.getContainedAttributes();
		
		SourceBeanAttribute parameter = null;
		HashMap map = new HashMap();
		for (Iterator it = parameterList.iterator(); it.hasNext(); ){
			
			parameter = (SourceBeanAttribute)it.next();
			
			System.out.println("Parameter Name ==> ["+parameter.getKey()+"]");
			System.out.println("Parameter Value ==> ["+parameter.getValue()+"]");
			map.put(parameter.getKey(), parameter.getValue());
		}
		
		return map;
	}

}
